Get credit balance
Read the current credit balance for an account. If accountId is omitted, uses the authenticated account. Dual authentication (API key or session).
curl -X GET "https://api.talkturo.com/api/credits?accountId=example_string" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN (tk_live_ or tk_test_)"
import requests
import json
url = "https://api.talkturo.com/api/credits?accountId=example_string"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN (tk_live_ or tk_test_)"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.talkturo.com/api/credits?accountId=example_string", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN (tk_live_ or tk_test_)"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.talkturo.com/api/credits?accountId=example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN (tk_live_ or tk_test_)")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.talkturo.com/api/credits?accountId=example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN (tk_live_ or tk_test_)'
response = http.request(request)
puts response.body
{
"success": true,
"credits": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"account_id": "123e4567-e89b-12d3-a456-426614174000",
"credits": 3.14,
"total_purchased": 3.14,
"total_used": 3.14,
"auto_reload_enabled": true,
"auto_reload_threshold": 3.14,
"auto_reload_amount_usd": 3.14
}
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
/credits
Target server for requests. Edit to use your own host.
Talkturo API key. Send as Authorization: Bearer tk_live_... or
Authorization: Bearer tk_test_.... Default scope is *; rate limit defaults
to 1000 requests per hour.
Authorization: Bearer tk_live_... or
Authorization: Bearer tk_test_.... Default scope is *; rate limit defaults
to 1000 requests per hour.
Authenticated Talkturo web session cookie (Supabase httpOnly session). Browser clients typically send this automatically after sign-in. Related refresh cookies may also be present depending on the client.
Account UUID to read
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token (tk_live_ or tk_test_). Talkturo API key. Send as Authorization: Bearer tk_live_... or
Authorization: Bearer tk_test_.... Default scope is *; rate limit defaults
to 1000 requests per hour.
API Key for authentication. Authenticated Talkturo web session cookie (Supabase httpOnly session). Browser clients typically send this automatically after sign-in. Related refresh cookies may also be present depending on the client.
Query Parameters
Account UUID to read